Bug 142393 - CAN-2004-1158 Frame injection vulnerability.
CAN-2004-1158 Frame injection vulnerability.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdebase (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
impact=important,public=20041208
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-09 10:01 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 11:43:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-12-09 10:01:35 EST
Secunia reported a pair of frame injection vulnerabilities that could
result in popup blocking.  Konqueror is affected by this issue.

http://secunia.com/secunia_research/2004-13/advisory/
https://bugzilla.mozilla.org/show_bug.cgi?id=273699

This issue also affects RHEL2.1
Comment 1 Josh Bressers 2004-12-13 09:37:07 EST
The secunia demo no longer works.  I've created a demo located here
http://people.redhat.com/bressers/spoof_test/
Comment 2 Josh Bressers 2004-12-14 16:44:00 EST
This demo only partially work for konqueror on RHEL2.1.

The "Test with popup blocking enabled" link works as expected.  The other link
does not.
Comment 3 Ngo Than 2004-12-14 17:28:55 EST
somwhow the konqueror on RHEL2.1 does not work with our testcase. secunia has
already created a working testcase today. please use the testcase from secunia
Comment 4 Josh Bressers 2005-01-07 12:35:25 EST
The test for this issue can be found here:
http://secunia.com/multiple_browsers_window_injection_vulnerability_test/
Comment 5 Josh Bressers 2005-02-10 11:43:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-009.html

Note You need to log in before you can comment on or make changes to this bug.